function OnWarpEnter() 
	SetMarker("cs\\Warp_0048.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0039.wp" , 0 , 0) 
	SetMarker("MOLD",2,0)

--DAY2
	if ETAT_DAY == "D2" then 

	end 

--DAY3
	if ETAT_DAY == "D3" then 
		if GIVE_KEY_MOLD then
			KEY_IMPRESSION_READY = true
		end
	end 

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 

	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0048.wp" then 
		if ETAT_DAY == "D5" and not SwordFinished then
			DrawText("Ma2859","Ma2859.ogg",0) -- J'ai intérêt à faire très attention. S'il est encore en vie, le scribe peut être n'importe où. Je me sentirai plus rassurée avec une arme en bon état.
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\cs\\Warp_0039.wp" then 
		if Lib_tied_055 and not ChavignyD2W71 then
			DrawText("Ma2739","Ma2739.ogg",0) -- not yet
		elseif ETAT_DAY == "D4" then
			DrawText("Ma2739","Ma2739.ogg",0) -- not yet
		elseif TALK_QUEEN_D5 then
			DrawText("Ma2739","Ma2739.ogg",0) -- not yet
		else
			ChangeWarp(objectName)
		end
	end

	if objectName=="3D\\MOLD" then
		if ObjectCount("A_argile") < 3 then
			AddToBag("A_argile")
		else
			DrawText("Ma0207","Ma0207.ogg",0) -- J'en ai suffisamment.
		end
	end


--DAY2
	if ETAT_DAY == "D2" then 

	end 

--DAY3
	if ETAT_DAY == "D3" then 

	end 

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 

	end 
end
